<?php
header("Cache-Control: no-cache, must-revalidate");

// Генерация картинки раз в 12 часов
if(!file_exists("cached.jpg") || filemtime("cached.jpg")+3600*12 < time())
{
	@ $data = file("http://www.liveinternet.ru/stat/ru/browsers.csv?id=54;period=week;relgraph=yes;graph=csv");
	if($data !== false)
	{
		$last = $data[count($data)-1];
		$last = explode(";", $last);
		$last = trim($last[count($last)-1]);

		$image = imagecreatefrompng("ie6.png");
		$shadow = imagecreatefrompng("shadow.png");
		$coord = -25 - intval(950 * $last / 100); 
		imagecopy($image, $shadow,  $coord, -23, 0, 0, 276, 276);
		
		$color = imagecolorallocate($image, 99, 99, 99);
		imagettftext($image, 9, 0, 89, 203, $color, 'arial.ttf', $last."%");	
		
		imagejpeg($image, "cached.jpg", 85);
		imagedestroy($image);
		imagedestroy($shadow);
	}
}

// Отдаем картинку
if(file_exists("cached.jpg"))
{
	header('Content-Type: image/jpeg');
	readfile("cached.jpg");
}
else
{
	header('Content-type: image/gif');
	header('Content-length: 43');
	echo base64_decode('R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');		
}
?>